Uploaded image for project: 'PHP Driver: Library'
  1. PHP Driver: Library
  2. PHPLIB-937

Clarify necessary installation steps when not using Composer

    • Type: Icon: Task Task
    • Resolution: Fixed
    • Priority: Icon: Minor - P4 Minor - P4
    • 1.15.0
    • Affects Version/s: None
    • Component/s: None
    • Labels:

      For the benefit of users that are unwilling/unable to use Composer, Configure Autoloading should explicitly refer to PSR-4 when it talks about a "preferred autoloader implementation". We can also mention that the alternative to not using an autoloader is to explicitly require each and every class in the src/ directory of the project.

            Assignee:
            jmikola@mongodb.com Jeremy Mikola
            Reporter:
            jmikola@mongodb.com Jeremy Mikola
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Created:
              Updated:
              Resolved: